Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence
Class JpaProcessPersistenceContext

    java.lang.Object
      org.drools.persistence.jpa.JpaPersistenceContext
          org.jbpm.persistence.JpaProcessPersistenceContext

All Implemented Interfaces:
  org.drools.persistence.PersistenceContext, ProcessPersistenceContext

    public class JpaProcessPersistenceContext

extends org.drools.persistence.jpa.JpaPersistenceContext
implements ProcessPersistenceContext

Constructor Summary
`JpaProcessPersistenceContext(javax.persistence.EntityManager em)`

Method Summary
`ProcessInstanceInfo` | `findProcessInstanceInfo(Long processId)`
`Long` | `getProcessInstanceByCorrelationKey(org.kie.internal.process.CorrelationKey correlationKey)`
`List<Long>` | `getProcessInstancesWaitingForEvent(String type)`
`void` | `persist(CorrelationKeyInfo correlationKeyInfo)`
`void` | `persist(ProcessInstanceInfo processInstanceInfo)`
`void` | `remove(ProcessInstanceInfo processInstanceInfo)`

Methods inherited from class org.drools.persistence.jpa.JpaPersistenceContext
`close, findSessionInfo, findWorkItemInfo, getEntityManager, isOpen, joinTransaction, merge, persist, persist, remove, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.persistence.PersistenceContext
`close, findSessionInfo, findWorkItemInfo, isOpen, joinTransaction, merge, persist, persist, remove, remove`

Constructor Detail

### JpaProcessPersistenceContext

    public JpaProcessPersistenceContext(javax.persistence.EntityManager em)

Method Detail

### persist

    public void persist(ProcessInstanceInfo processInstanceInfo)

  Specified by:
    `persist` in interface `ProcessPersistenceContext`

### findProcessInstanceInfo

    public ProcessInstanceInfo findProcessInstanceInfo(Long processId)

  Specified by:
    `findProcessInstanceInfo` in interface `ProcessPersistenceContext`

### remove

    public void remove(ProcessInstanceInfo processInstanceInfo)

  Specified by:
    `remove` in interface `ProcessPersistenceContext`

### getProcessInstancesWaitingForEvent

    public List<Long> getProcessInstancesWaitingForEvent(String type)

  Specified by:
    `getProcessInstancesWaitingForEvent` in interface `ProcessPersistenceContext`

### persist

    public void persist(CorrelationKeyInfo correlationKeyInfo)

  Specified by:
    `persist` in interface `ProcessPersistenceContext`

### getProcessInstanceByCorrelationKey

    public Long getProcessInstanceByCorrelationKey(org.kie.internal.process.CorrelationKey correlationKey)

  Specified by:
    `getProcessInstanceByCorrelationKey` in interface `ProcessPersistenceContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.